Name:          maven-jaxb-plugin
Version:       1.1.1
Release:       %mkrel 2
Summary:       Maven JAXB Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           https://jaxb.dev.java.net/
# svn export https://svn.java.net/svn/jaxb~version2/trunk/jaxb-maven2-plugin maven-jaxb-plugin-1.1.1
# tar czf maven-jaxb-plugin-1.1.1-src-svn.tar.gz maven-jaxb-plugin-1.1.1
Source0:       maven-jaxb-plugin-%{version}-src-svn.tar.gz
Patch0:        maven-jaxb-plugin-1.1.1-pom.patch
Patch1:        maven-jaxb-plugin-1.1.1-no-jaf.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: bea-stax-api
BuildRequires: glassfish-jaxb
BuildRequires: glassfish-jaxb-api
BuildRequires: forge-parent

BuildRequires: maven
BuildRequires: maven-changelog-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-project
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-surefire-report-plugin

Requires:      ant
Requires:      bea-stax-api
Requires:      glassfish-jaxb
Requires:      glassfish-jaxb-api
Requires:      maven-project

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JAXB XJC Compiler for Maven 2. Part of the JAXB 2.0 RI Project.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build

mvn-rpmbuild -e \
  install javadoc:aggregate

%install

# JAR
mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Feb 24 2012 gil <gil> 1.1.1-2.mga2
+ Revision: 214190
- build fix
- used jvm javax.activation apis
- adapt to current guidelines

* Sat Dec 03 2011 gil <gil> 1.1.1-1.mga2
+ Revision: 175284
- imported package maven-jaxb-plugin

